- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# cp_mgmt_publish – All the changes done by this user will be seen by all users only after publish is called

New in version 2.9.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- All the changes done by this user will be seen by all users only after publish is called.

- All operations are performed over Web Services API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
uid string |  | Session unique identifier. Specify it to publish a different session than the one you currently use.
version string |  | Version of checkpoint. If not given one, the latest version taken.
wait_for_task boolean | Choices: no yes ← | Wait for the task to end. Such as publish task.

## Examples

    - name: publish
      cp_mgmt_publish:

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
cp_mgmt_publish dictionary | always. | The checkpoint publish output.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Or Soffer (@chkp-orso)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.